fastGrid {GeneticsBase} | R Documentation

## Create a matrix giving all combinations of the elements of x

### Description

Create a matrix giving all combinations of the elements of x

### Usage

    fastGrid(x)

### Arguments

`x` | a vector

### Value

a matrix of the same mode as x, with dimension c(length(x)^2, 2). The rows give all points on a square lattice formed by pairing every element of x with every element of x. Here, order matters - that is, (1, 2) and (2, 1) both would be included - and points with an element taken twice - e.g. (1, 1) - also are included.

### Author(s)

Scott Chasalow Scott.Chasalow@bms.com

### See Also

`geneSet-class`

[Package GeneticsBase version 1.8.0 Index]